American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Payoff Class Reference

Option payoff consisting of a portfolio of cash and shares. More...

`#include <payoff.h>`

Inheritance diagram for Payoff:

List of all members.

## Public Member Functions
virtual Payoff * | clone () const =0
virtual Portfolio | operator() (const Spot &spot) const =0
virtual | ~Payoff ()

## Detailed Description

Option payoff consisting of a portfolio of cash and shares.

Based on the Payoff class in Joshi, M. "Design Patterns and Derivatives Pricing", Cambridge University Press, 2004.

Author:
  Alet Roux <alet.roux@york.ac.uk>

## Constructor & Destructor Documentation

virtual Payoff::~Payoff | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Payoff* Payoff::clone | ( |  | ) | const`[pure virtual]`

Clone constructor.

Implemented in PayoffBasket, PayoffBearSpread, PayoffBullSpread, PayoffButterfly, PayoffCallCashAsk, PayoffCallCashBid, PayoffCallCashUnderlying, PayoffCallPhysical, PayoffCallPhysicalAsk, PayoffCallPhysicalBid, PayoffCallPhysicalUnderlying, PayoffConstant, PayoffMulti, PayoffNeg, PayoffPutCashAsk, PayoffPutCashBid, PayoffPutCashUnderlying, PayoffPutPhysical, PayoffPutPhysicalAsk, PayoffPutPhysicalBid, and PayoffPutPhysicalUnderlying.

virtual Portfolio Payoff::operator() | ( | const Spot & | spot | ) | const`[pure virtual]`

Gives payoff of option under given spot price.

Implemented in PayoffBasket, PayoffBearSpread, PayoffBullSpread, PayoffButterfly, PayoffCallCashAsk, PayoffCallCashBid, PayoffCallCashUnderlying, PayoffCallPhysical, PayoffCallPhysicalAsk, PayoffCallPhysicalBid, PayoffCallPhysicalUnderlying, PayoffConstant, PayoffMulti, PayoffNeg, PayoffPutCashAsk, PayoffPutCashBid, PayoffPutCashUnderlying, PayoffPutPhysical, PayoffPutPhysicalAsk, PayoffPutPhysicalBid, and PayoffPutPhysicalUnderlying.

The documentation for this class was generated from the following file:

- payoff/payoff.h

All Classes Namespaces Files Functions Variables Typedefs Defines